require 'sinatra'

set :secret_token, "unsecure_token"
set :open, false

get '/' do
  erb :index
end

get '/hacklabbo/open/:token' do |token|
  if token == settings.secret_token
    settings.open = true
    200
  else
    403
  end
end

get '/hacklabbo/close/:token' do |token|
  if token == settings.secret_token
    settings.open = false
    200
  else
    403
  end
end
